> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Selecting lines



## OpenAPI

````yaml /api-reference/openapi.json post /v1/users/{id}/lines
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/users/{id}/lines:
    post:
      tags:
        - Users
      summary: Selecting lines
      operationId: selecting-lines
      parameters:
        - name: id
          in: path
          description: The ID of the User to set the lines for
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '':
                  properties:
                    '':
                      properties:
                        '':
                          type: array
                          description: >-
                            Array of Line IDs to set as the User's selected
                            lines.
                          items:
                            type: integer
                            format: int32
                      required:
                        - ''
                      type: object
                  required: []
                  type: object
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                '':
                  properties:
                    '':
                      properties:
                        '':
                          type: array
                          description: >-
                            Array of Line IDs to set as the User's selected
                            lines.
                          items:
                            type: integer
                            format: int32
                      required:
                        - ''
                      type: object
                  required: []
                  type: object
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````